﻿Ext.define('App.Control.Kivii.Finances.Settlement.Customer.Create.Form', {
    extend: 'System.Control.EntityForm', //注意先后顺序，先requires,再extend
    xtype: 'App.Control.Kivii.Finances.Settlement.Customer.Create.Form',
    entityType: 'Kivii.Customers.Entities.Customer',
    layout: {
        type: 'responsivecolumn',
        // states: {
        //     small: 600,
        //     large: 0
        // }
    },
    defaults: {
        labelWidth: 60
    },
    autoScroll:true,
    tbar: ['->', {
        text: '保存',
        iconCls: 'x-fa fa-save',
        iconAlign: 'left',
        handler: '_onSaveEntity',
        bind: {
            disabled: '{!formIsValid}'
        }
    }],
    items: [{
        xtype: 'textfield',
        responsiveCls: 'big-100 small-100',
        bind: {
            value: '{entity.FullName}',
            readOnly:'{entity.Kvid}'
        },
        fieldLabel: '客户全称',
        allowBlank: false
    }, {
        xtype: 'textarea',
        responsiveCls: 'big-100 small-100',
        bind: '{entity.Remark}',
        fieldLabel: '备注信息',
        // minWidth:600
    }],
    controller: {
        _onSaveEntity: function(_ctrl) {
            this.getView().saveEntity();
        }
    }
});